Bug 136044 - [CSS Font Loading] Enable Page Caching
Summary: [CSS Font Loading] Enable Page Caching
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Bear Travis
URL:
Keywords:
Depends on:
Blocks: 135390
  Show dependency treegraph
 
Reported: 2014-08-18 11:32 PDT by Bear Travis
Modified: 2014-09-03 10:26 PDT (History)
6 users (show)

See Also:


Attachments
Patch Prototype (13.95 KB, patch)
2014-08-19 11:35 PDT, Bear Travis
no flags Details | Formatted Diff | Diff
Updated Prototype (16.12 KB, patch)
2014-08-25 17:09 PDT, Bear Travis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-11 for mac-mountainlion-wk2 (482.05 KB, application/zip)
2014-08-25 18:43 PDT, Build Bot
no flags Details
Archive of layout-test-results from webkit-ews-02 for mac-mountainlion (502.92 KB, application/zip)
2014-08-25 19:25 PDT, Build Bot
no flags Details
Archive of layout-test-results from webkit-ews-08 for mac-mountainlion (498.20 KB, application/zip)
2014-08-25 20:20 PDT, Build Bot
no flags Details
Archive of layout-test-results from webkit-ews-05 for mac-mountainlion (498.99 KB, application/zip)
2014-08-25 21:22 PDT, Build Bot
no flags Details
Updated Prototype (16.12 KB, patch)
2014-08-26 10:17 PDT, Bear Travis
no flags Details | Formatted Diff | Diff
First Draft (10.77 KB, patch)
2014-08-27 12:32 PDT, Bear Travis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-06 for mac-mountainlion (552.13 KB, application/zip)
2014-08-27 13:05 PDT, Build Bot
no flags Details
Archive of layout-test-results from webkit-ews-11 for mac-mountainlion-wk2 (534.12 KB, application/zip)
2014-08-27 17:48 PDT, Build Bot
no flags Details
Skipping test (12.41 KB, patch)
2014-08-28 14:33 PDT, Bear Travis
akling: review+
Details | Formatted Diff | Diff
Incorporating feedback (12.04 KB, patch)
2014-09-02 15:22 PDT, Bear Travis
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bear Travis 2014-08-18 11:32:37 PDT
The Font Loader API disables page caching. As a first approximation, enable page caching when no font rules are currently loading, and the load() method has not been called.
Comment 1 Bear Travis 2014-08-19 11:35:24 PDT
Created attachment 236818 [details]
Patch Prototype
Comment 2 Bear Travis 2014-08-25 17:09:56 PDT
Created attachment 237119 [details]
Updated Prototype

Updating the prototype. Feature is still toggled on for the bots, so this is not quite ready for review.
Comment 3 Build Bot 2014-08-25 18:43:42 PDT
Comment on attachment 237119 [details]
Updated Prototype

Attachment 237119 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/6648736453230592

New failing tests:
fast/css/fontloader-page-cache.html
Comment 4 Build Bot 2014-08-25 18:43:44 PDT
Created attachment 237123 [details]
Archive of layout-test-results from webkit-ews-11 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-11  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 5 Build Bot 2014-08-25 19:25:47 PDT
Comment on attachment 237119 [details]
Updated Prototype

Attachment 237119 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/4796164855562240

New failing tests:
fast/css/fontloader-page-cache.html
Comment 6 Build Bot 2014-08-25 19:25:51 PDT
Created attachment 237127 [details]
Archive of layout-test-results from webkit-ews-02 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-02  Port: mac-mountainlion  Platform: Mac OS X 10.8.5
Comment 7 Build Bot 2014-08-25 20:20:29 PDT
Comment on attachment 237119 [details]
Updated Prototype

Attachment 237119 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/6023479409246208

New failing tests:
fast/css/fontloader-page-cache.html
Comment 8 Build Bot 2014-08-25 20:20:33 PDT
Created attachment 237128 [details]
Archive of layout-test-results from webkit-ews-08 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-08  Port: mac-mountainlion  Platform: Mac OS X 10.8.5
Comment 9 Build Bot 2014-08-25 21:22:05 PDT
Comment on attachment 237119 [details]
Updated Prototype

Attachment 237119 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/5593205290565632

New failing tests:
fast/css/fontloader-page-cache.html
Comment 10 Build Bot 2014-08-25 21:22:08 PDT
Created attachment 237134 [details]
Archive of layout-test-results from webkit-ews-05 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-05  Port: mac-mountainlion  Platform: Mac OS X 10.8.5
Comment 11 Bear Travis 2014-08-26 10:17:09 PDT
Created attachment 237155 [details]
Updated Prototype
Comment 12 Bear Travis 2014-08-27 12:32:23 PDT
Created attachment 237237 [details]
First Draft

Removing feature enablement. This patch should be ready for review, but will not have the feature enabled yet.
Comment 13 Build Bot 2014-08-27 13:05:02 PDT
Comment on attachment 237237 [details]
First Draft

Attachment 237237 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/4723508772864000

New failing tests:
fast/css/fontloader-page-cache.html
Comment 14 Build Bot 2014-08-27 13:05:06 PDT
Created attachment 237241 [details]
Archive of layout-test-results from webkit-ews-06 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-06  Port: mac-mountainlion  Platform: Mac OS X 10.8.5
Comment 15 Build Bot 2014-08-27 17:48:12 PDT
Comment on attachment 237237 [details]
First Draft

Attachment 237237 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/4684673678573568

New failing tests:
fast/css/fontloader-page-cache.html
Comment 16 Build Bot 2014-08-27 17:48:16 PDT
Created attachment 237276 [details]
Archive of layout-test-results from webkit-ews-11 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-11  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 17 Bear Travis 2014-08-28 14:33:04 PDT
Created attachment 237326 [details]
Skipping test

Added test must be skipped until feature is enabled
Comment 18 Andreas Kling 2014-09-02 11:33:44 PDT
Comment on attachment 237326 [details]
Skipping test

View in context: https://bugs.webkit.org/attachment.cgi?id=237326&action=review

r=me as the logic appears sound.

> Source/WebCore/css/FontLoader.cpp:72
> +    int familyCount() const { return m_numFamilies; }

I'd call it m_familyCount for consistency.

> Source/WebCore/css/FontLoader.h:104
> +    unsigned m_rulesLoading;
> +    unsigned m_stringsLoading;

Can we come up with some better names for these?
m_stringsLoading is especially unobvious.
Comment 19 Bear Travis 2014-09-02 15:22:27 PDT
Created attachment 237518 [details]
Incorporating feedback

Incorporating feedback from kling. Renaming counts to m_numLoadingFromCSS and m_numLoadingFromJS.
Comment 20 WebKit Commit Bot 2014-09-03 10:26:25 PDT
Comment on attachment 237518 [details]
Incorporating feedback

Clearing flags on attachment: 237518

Committed r173209: <http://trac.webkit.org/changeset/173209>
Comment 21 WebKit Commit Bot 2014-09-03 10:26:30 PDT
All reviewed patches have been landed.  Closing bug.